List customer-facing AI preview chat logs
GET
/v1/ai/agents/{agentID}/preview/logsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredQuery parameters
limitinteger<int64>Responses
200OK
itemsPreviewChatLog[] | nullrequiredShow propertiesHide properties
Array of
PreviewChatLogagent_responsestringrequiredconfidence_scorenumber<double>requiredcreated_atstringrequiredexpected_responsestringrequiredfeedbackstringidstringrequiredoriginstringrequiredrun_idstringrequiredsession_idstringrequiredstatusstringrequiredtitlestringrequiredturnsPreviewChatTurn[] | nullrequiredShow propertiesHide properties
Array of
PreviewChatTurncreated_atstringrequiredfeedbackstringidstringrequiredrolestringrequiredtextstringrequiredupdated_atstringrequireduser_messagestringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ai/agents/string/preview/logs"const response = await fetch("/v1/ai/agents/string/preview/logs", {
method: "GET"
});import requests
response = requests.get(
"/v1/ai/agents/string/preview/logs",
)Response
{
"items": [
{
"agent_response": "string",
"confidence_score": 0,
"created_at": "string",
"expected_response": "string",
"feedback": "string",
"id": "string",
"origin": "string",
"run_id": "string",
"session_id": "string",
"status": "string",
"title": "string",
"turns": [
{
"created_at": "string",
"feedback": "string",
"id": "string",
"role": "string",
"text": "string"
}
],
"updated_at": "string",
"user_message": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}